class TopicsInfo(object):
    hotTopicsSet = {
        "3d",
        "3ds-homebrew",
        "4d-component",
        "4x",
        "abap",
        "abap2ui5",
        "abapgit",
        "action-adventure",
        "action-game",
        "action-role-playing",
        "actions",
        "actionscript",
        "activitypub",
        "ada",
        "adobe-acrobat",
        "adoptium",
        "advent-of-code",
        "adventure-game",
        "agile",
        "ai",
        "ajax",
        "algolia",
        "algorithm",
        "alloy-analyzer",
        "alternate-reality-game",
        "altium-designer",
        "altv",
        "amphp",
        "android",
        "android-library",
        "android-studio",
        "angular",
        "angular-cli",
        "anidb",
        "animal-crossing",
        "animation",
        "anime",
        "anki",
        "ansible",
        "ansible-role",
        "antlr",
        "api",
        "apm",
        "app",
        "apple",
        "apple-music",
        "appwrite",
        "arcade",
        "archlinux",
        "arduino",
        "argo-floats",
        "art-net",
        "artillery-game",
        "arturo",
        "asgi",
        "aspnet",
        "assembly",
        "assemblyscript",
        "astro",
        "astronomy",
        "astrophysics",
        "async-await",
        "asyncapi",
        "atom",
        "atproto",
        "aurelia",
        "auth0",
        "authentication",
        "authorization",
        "automation",
        "automaton",
        "avalonia",
        "awesome",
        "awesomewm",
        "aws",
        "azd-templates",
        "azure",
        "azure-devops",
        "b4x",
        "babel",
        "backbonejs",
        "backdropcms",
        "backend",
        "barcode",
        "bash",
        "basic8",
        "batch-file",
        "battle-royale",
        "battlesnake",
        "bcsamples",
        "bdd",
        "beat-em-up",
        "bedrock-dedicated-server",
        "bevy",
        "bigquery",
        "binance",
        "bioinformatics",
        "biological-expression-language",
        "biological-simulation",
        "bitcoin",
        "bitcoin-cash",
        "blazor",
        "blockchain",
        "blockly",
        "blogger",
        "bluesky-social",
        "board-game",
        "boilerplate",
        "boinc",
        "bonsai-rx",
        "bootstrap",
        "bosque",
        "bot",
        "bridgetown",
        "browser-game",
        "bugbounty",
        "bukkit",
        "bulma",
        "bun",
        "bzflag",
        "c",
        "cadquery",
        "calculate-pi",
        "canvas",
        "capnproto",
        "cargo-generate",
        "casejs",
        "cassandra",
        "casual-game",
        "cd",
        "cdnjs",
        "cellular-automaton",
        "cfd",
        "chacha-cipher",
        "chai",
        "chaos-engineering",
        "chapel",
        "chatbot",
        "chatgpt",
        "chatgpt-api",
        "chemistry",
        "chezmoi",
        "christianity",
        "chrome",
        "chrome-extension",
        "chromium",
        "cicd",
        "cinnamon",
        "circuitpython",
        "citizen-science",
        "city-building-game",
        "clab-topo",
        "clash",
        "classless",
        "cli",
        "client",
        "climate-change",
        "climate-change-mitigation",
        "clojure",
        "clojurescript",
        "cloud-run",
        "cloudflare",
        "clu",
        "cms",
        "coap",
        "code",
        "code-quality",
        "code-review",
        "codeception",
        "codechef",
        "codeigniter",
        "collectible-card-game",
        "combat-flight-simulator",
        "common-lisp",
        "compiler",
        "composer",
        "computer-algebra",
        "computer-science",
        "computer-vision",
        "computercraft",
        "computercraft-tweaked",
        "conan",
        "concourse-ci",
        "confidential-computing",
        "configuration",
        "contentful",
        "continuous-delivery",
        "continuous-deployment",
        "continuous-integration",
        "coq",
        "cordova",
        "coregames",
        "cors",
        "coursera",
        "coverage",
        "covid-19",
        "cpp",
        "crawler",
        "creative-commons",
        "credo",
        "crud",
        "cryptocurrency",
        "cryptography",
        "crystal",
        "csg",
        "csharp",
        "css",
        "css-framework",
        "css-modules",
        "css-reset",
        "cst",
        "csv",
        "cucumber",
        "cuda",
        "curl",
        "cve",
        "cwl",
        "cybersecurity",
        "d",
        "dark-mode",
        "dart",
        "data",
        "data-analysis",
        "data-science",
        "data-structures",
        "data-visualization",
        "database",
        "dataops",
        "datetime",
        "debian",
        "declarative-programming",
        "deep-learning",
        "deep-neural-networks",
        "defold",
        "demo",
        "demoscene",
        "deno",
        "dependency-injection",
        "dependency-management",
        "deployer",
        "deployment",
        "design-system",
        "desktop",
        "deta",
        "deta-space",
        "developer-experience",
        "development",
        "devops",
        "digital-public-goods",
        "digital-signage",
        "discord",
        "discord-bots",
        "discord-js",
        "disk-image",
        "django",
        "dle",
        "dll-injector",
        "dmx512",
        "docker",
        "docker-compose",
        "docker-image",
        "dockerfile",
        "documentation",
        "dom",
        "domain-driven-design",
        "dotenv",
        "dotfiles",
        "dotnet",
        "dragonruby",
        "drupal",
        "duckduckgo",
        "dungeon-crawl",
        "dwd",
        "ebpf",
        "ecmascript",
        "edge",
        "edi",
        "education",
        "edupage",
        "eeg",
        "effector",
        "egui",
        "einstein-problem",
        "ejs",
        "eksisozluk",
        "elasticsearch",
        "electron",
        "eleventy",
        "elite-dangerous",
        "elixir",
        "elm",
        "eloquent",
        "emacs",
        "ember",
        "emoji",
        "emqx",
        "emulator",
        "end-to-end-encryption",
        "endless-sky",
        "endless-sky-plugins",
        "ens",
        "ensisa",
        "entity-resolution",
        "epics",
        "epitech",
        "erlang",
        "error-propagation",
        "escape-the-room",
        "eslint",
        "esolang",
        "esp32",
        "esp8266",
        "esprit",
        "ethereum",
        "example",
        "exploit",
        "express",
        "extension",
        "f-droid",
        "fable",
        "fabricmc",
        "facebook",
        "factorio",
        "fair-source",
        "fantasy-console",
        "fantasy-game",
        "fastapi",
        "fastify",
        "feathers",
        "fediverse",
        "fedora",
        "felgo",
        "ffmpeg",
        "fighting-game",
        "figma",
        "finite-element-method",
        "finite-state-machine",
        "firebase",
        "firefox",
        "firefox-extension",
        "first",
        "first-person-shooter",
        "first-robotics-competition",
        "first-tech-challenge",
        "fish",
        "flask",
        "flathub",
        "flatpak",
        "flight",
        "flight-simulator",
        "flightgear",
        "flipperzero",
        "flow-blockchain",
        "fluent-design",
        "flutter",
        "font",
        "fortran",
        "frame-interpolation",
        "framer-motion",
        "framework",
        "freeswitch",
        "frontend",
        "fsharp",
        "functional-programming",
        "fuzzing",
        "game-development",
        "game-engine",
        "game-jam",
        "game-jam-game",
        "game-off",
        "gameboy",
        "gamemaker",
        "garrysmod",
        "gatsby",
        "gcj02",
        "geneontology",
        "generative-adversarial-network",
        "generator",
        "genshin-impact",
        "geode-mods",
        "geojson",
        "geometry-dash",
        "getting-things-done",
        "gh-extension",
        "ghidra",
        "gin",
        "gis",
        "giscus",
        "git",
        "gitea",
        "github",
        "github-api",
        "github-desktop",
        "gitlab",
        "gitops",
        "gitpod",
        "glam",
        "global-game-jam",
        "gmail",
        "go",
        "god-game",
        "godot",
        "gogs",
        "golem",
        "golfing-language",
        "google",
        "google-admin",
        "google-apps-script",
        "google-calendar",
        "google-chat",
        "google-classroom",
        "google-cloud",
        "google-cloud-identity",
        "google-docs",
        "google-drive",
        "google-forms",
        "google-groups",
        "google-keep",
        "google-maps",
        "google-meet",
        "google-sheets",
        "google-slides",
        "google-tasks",
        "google-vault",
        "google-workspace",
        "gpl",
        "gradescope",
        "gradle",
        "grafana",
        "graphql",
        "green-software",
        "grid-computing",
        "groovy",
        "grpc",
        "gtfs",
        "gtk",
        "gui",
        "guilded",
        "guildwars2",
        "gulp",
        "guzzle",
        "hack-and-slash",
        "hackathon",
        "hackathon-kit",
        "hackathon-organiser",
        "hackclub",
        "hackerrank",
        "hacking",
        "hacksquad",
        "hacktoberfest",
        "handlebars",
        "handshake",
        "haskell",
        "haxe",
        "heroku",
        "highlightjs",
        "hms",
        "home-assistant",
        "homebrew",
        "homebridge",
        "honojs",
        "html",
        "http",
        "hugo",
        "i18n",
        "iced",
        "icon-font",
        "identicons",
        "ietf",
        "iiif",
        "image",
        "image-processing",
        "imagej",
        "incremental-game",
        "indieweb",
        "infoarena",
        "infrastructure-as-code",
        "inkscape",
        "instagram",
        "instrumentation",
        "integration-testing",
        "intellij-idea",
        "interactive-fiction",
        "interactive-film",
        "interview",
        "ioc",
        "ionic",
        "ios",
        "iot",
        "ipfs",
        "ipython",
        "iris",
        "iso-8601",
        "itmo",
        "jakarta-ee",
        "jamstack",
        "jasmine",
        "java",
        "javafx",
        "javascript",
        "jekyll",
        "jenkins",
        "jest",
        "jetbrains-mps",
        "jetpack-compose",
        "joplin",
        "jquery",
        "js13kgames",
        "json",
        "json-api",
        "json-schema",
        "jsx",
        "jule",
        "julia",
        "julia-sets",
        "jupyter-notebook",
        "jwt",
        "kakoune",
        "kart-racing",
        "keras",
        "kerbal-space-program",
        "kerbal-space-program-2",
        "kernel",
        "kiota-index",
        "kivy",
        "koa",
        "koans",
        "kokkos",
        "kontent-ai",
        "kotlin",
        "kotlin-multiplatform",
        "kubernetes",
        "lamp",
        "laravel",
        "latex",
        "league-of-legends",
        "lean",
        "leetcode",
        "less",
        "libcloud",
        "library",
        "life-simulator",
        "light-gun-shooter",
        "liko-12",
        "lineageos",
        "linkstack",
        "linux",
        "linux-learning",
        "linuxmint",
        "lisp",
        "livewire",
        "ll-parser",
        "llm",
        "llvm",
        "localization",
        "localstorage",
        "logging",
        "love2d",
        "low-code",
        "lr-parser",
        "lua",
        "ludum-dare",
        "luvit",
        "m3o",
        "machine-learning",
        "macos",
        "mada",
        "mahapps",
        "mainframe",
        "malware",
        "mantine",
        "mariadb",
        "markdown",
        "massively-multiplayer-online",
        "mastodon",
        "material-design",
        "material-design-for-bootstrap",
        "mathcomp",
        "mathematics",
        "matlab",
        "matrix-org",
        "matter",
        "maven",
        "maze",
        "mcfunction",
        "mcnp",
        "mdx",
        "mean-stack",
        "media-queries",
        "mediawiki",
        "medical-imaging",
        "medium",
        "megengine",
        "meilisearch",
        "mercury-lang",
        "mern",
        "meteor",
        "metroidvania",
        "microcontroller",
        "microformats",
        "micropython",
        "microservice",
        "microsoft",
        "midi",
        "midi2",
        "mikrotik",
        "mill-plugin",
        "minecraft",
        "minecraft-addon",
        "minecraft-bedrock-edition",
        "minecraft-forge",
        "minecraft-mod",
        "minecraft-plugin",
        "minecraft-server",
        "minetest",
        "misskey",
        "mkdocs",
        "mlx",
        "mobile",
        "mocha",
        "molecular-dynamics",
        "molecule",
        "moleculer",
        "monero",
        "mongodb",
        "mongoose",
        "monitoring",
        "motorola-68000",
        "mount-and-blade-bannerlord",
        "mozilla",
        "mqtt",
        "mud-game",
        "music-game",
        "musicxml",
        "mvc",
        "mvvmcross",
        "myanimelist",
        "mysql",
        "nanocurrency",
        "nasa",
        "nashville",
        "nativescript",
        "nebula-graph",
        "neo",
        "neo4j",
        "neovim",
        "nestjs",
        "netbox",
        "netbox-plugin",
        "netflix",
        "netfree",
        "netlify",
        "nette",
        "netty",
        "network",
        "neural-network",
        "nextcloud",
        "nextjs",
        "nextra",
        "nexus-mods",
        "nginx",
        "nhost",
        "nim",
        "nix",
        "nlp",
        "no-code",
        "noaa-nsap",
        "nodejs",
        "nosql",
        "nostr",
        "notion",
        "npm",
        "nuget",
        "numpy",
        "nunjucks",
        "nuxt",
        "nvidia",
        "oai-pmh",
        "oauth2",
        "objective-c",
        "obofoundry",
        "obsidian-md",
        "ocaml",
        "oculus",
        "oidc",
        "online-judge",
        "oop",
        "open-access",
        "open-data",
        "open-graph",
        "open-policy-agent",
        "open-props",
        "open-source",
        "openacc",
        "openal",
        "openapi",
        "openbsd",
        "opencomputers",
        "opencv",
        "openfaas",
        "openfin",
        "opengl",
        "openstreetmap",
        "opentelemetry",
        "openui5",
        "openutau",
        "operating-system",
        "oracle-database",
        "orgmode",
        "orm",
        "osint",
        "p2p",
        "package-manager",
        "parser",
        "parsing",
        "passkeys",
        "password-store",
        "pdo",
        "pepeland",
        "perceptual-hashing",
        "perl",
        "pewpew-live",
        "pharo",
        "phaser",
        "photogrammetry",
        "php",
        "php-fusion",
        "phpunit",
        "physics",
        "pico-8",
        "pihole",
        "pim",
        "pip",
        "pipewire",
        "pixel-art",
        "pixel-vision-8",
        "pixiv",
        "plaintext-accounting",
        "platform-game",
        "platformio",
        "playdate",
        "playdate-sdk",
        "playwright",
        "plover",
        "pmmp",
        "point-and-click",
        "point-cloud",
        "ponylang",
        "portainer",
        "portapps",
        "portfolio",
        "portugol",
        "post-quantum-cryptography",
        "postcss",
        "postgresql",
        "postman",
        "pov-ray",
        "powershell",
        "powertoys",
        "preact",
        "prestashop",
        "prettier",
        "primer",
        "privacy",
        "probot",
        "product-management",
        "producthunt",
        "programming",
        "programming-language",
        "project",
        "project-management",
        "promise",
        "protocol",
        "provisioning",
        "psr-11",
        "psr-15",
        "psr-4",
        "psr-7",
        "publishing",
        "pubsub",
        "pug",
        "pulsar",
        "puppet",
        "puppeteer",
        "purescript",
        "puzzle-game",
        "pwa",
        "pycharm",
        "python",
        "pytorch",
        "qmk",
        "qrcode",
        "qt",
        "quantum-computing",
        "quarkus",
        "quarto",
        "queer",
        "query",
        "quicklook",
        "r",
        "racing-game",
        "racing-simulator",
        "racket",
        "rails",
        "raku",
        "raspberry-pi",
        "ratchet",
        "raycast-extension",
        "rdf",
        "react",
        "react-native",
        "react-router",
        "reactiveui",
        "reactphp",
        "real-time-strategy",
        "real-time-tactics",
        "reason",
        "recon",
        "red",
        "reddit",
        "redis",
        "redux",
        "reflex-frp",
        "regular-expression",
        "remarkable-tablet",
        "remix-stack",
        "replit",
        "rest-api",
        "retro-game",
        "retrocomputing",
        "reverse-engineering",
        "rhythm-game",
        "riot-games",
        "riot-os",
        "riscos",
        "riscv",
        "robomaster",
        "robotframework",
        "robotics",
        "rocket",
        "rocketseat",
        "rockset",
        "roguelike",
        "roguelite",
        "role-playing-game",
        "roomba",
        "routing",
        "rpc",
        "rspec",
        "rss",
        "ruby",
        "rust",
        "saas",
        "sailfishos",
        "saltstack",
        "sandstorm",
        "sanitization",
        "sas",
        "sass",
        "satellite",
        "sbml",
        "scala",
        "scambaiting",
        "scapy",
        "scikit",
        "scikit-learn",
        "scipy",
        "sciter",
        "script",
        "sdk",
        "sdl",
        "sdmx",
        "sdn",
        "security",
        "selenium",
        "self-hosted",
        "semantic-web",
        "seo",
        "server",
        "server-side-rendering",
        "serverless",
        "service-fabric",
        "shadcn-ui",
        "shadowsocks",
        "sharex",
        "shell",
        "shoot-em-up",
        "shooter",
        "sidekiq",
        "simulation",
        "simulator",
        "sitecore",
        "sketch",
        "slack",
        "smoke-tests",
        "social-simulator",
        "socket-io",
        "software",
        "software-challenge-germany",
        "software-engineering",
        "solana",
        "solidity",
        "soundcloud",
        "spa",
        "space-flight-simulator",
        "spacetraders",
        "spacevim",
        "spacy",
        "spark",
        "sports-game",
        "spotify",
        "spreadsheet",
        "spring",
        "spring-boot",
        "spring-mvc",
        "sql",
        "sql-server",
        "sqlite",
        "squeak",
        "squirrel-lang",
        "sre",
        "ss13",
        "sso",
        "stackoverflow",
        "stackql",
        "standard-ml",
        "stata",
        "static-code-analysis",
        "statistics",
        "stealth-game",
        "steam",
        "steganography",
        "stem",
        "stimulus",
        "storybook",
        "strategy-game",
        "streamlit",
        "styled-components",
        "stylus",
        "sublime-text",
        "suckless",
        "sui",
        "supabase",
        "support",
        "survival",
        "survival-horror",
        "svelte",
        "svg",
        "swift",
        "swiftui",
        "swing",
        "symfony",
        "syntax-highlighting",
        "synthetic-biology",
        "t3-stack",
        "tactical-role-playing",
        "tactical-shooter",
        "tailwind",
        "tas",
        "taskfile",
        "tauri",
        "tbox",
        "tdd",
        "teamfight-tactics",
        "teeworlds",
        "telegram",
        "tensorflow",
        "terminal",
        "termux",
        "terraform",
        "test-automation",
        "testing",
        "tex",
        "text-adventure",
        "thelounge",
        "third-person-shooter",
        "threejs",
        "tic-80",
        "tiktok",
        "time-management-game",
        "tldr",
        "tls",
        "todo",
        "toit",
        "ton",
        "tool",
        "touhou",
        "tower-defense",
        "transgender",
        "tree-sitter",
        "tridecco",
        "turn-based",
        "turn-based-strategy",
        "turn-based-tactics",
        "tutorial",
        "tuya",
        "tvos",
        "tweakpane",
        "twitch",
        "twitter",
        "twrp",
        "typescript",
        "ubuntu",
        "uefi",
        "ui",
        "ui-design",
        "ukagaka",
        "umbraco",
        "unigine",
        "unist",
        "unit-testing",
        "unity",
        "university-of-texas-arlington",
        "unix",
        "unreal-engine",
        "unrealscript",
        "uportal",
        "uri-template",
        "userscript",
        "utau",
        "utility",
        "uwp",
        "ux",
        "v",
        "v8",
        "vagrant",
        "vala",
        "valorant",
        "vanilla-js",
        "vapor",
        "vba",
        "vehicle-simulator",
        "vehicular-combat",
        "vercel",
        "verilog",
        "vertx",
        "vibe-coding",
        "video",
        "vim",
        "virtual-reality",
        "visionos",
        "visual-basic",
        "visual-novel",
        "visual-studio",
        "visual-studio-code",
        "vite",
        "viur",
        "vk",
        "vm-box",
        "vpn",
        "vr-game",
        "vrchat",
        "vscode-extension",
        "vue",
        "vut",
        "wagtail",
        "wargame",
        "watchos",
        "wayland",
        "web",
        "web-accessibility",
        "web-assembly",
        "web-components",
        "web-monetization",
        "web-of-things",
        "webapp",
        "webauthn",
        "webextension",
        "webkit",
        "webpack",
        "webrtc",
        "website",
        "websocket",
        "webview",
        "webxr",
        "wechat",
        "whatsapp",
        "whisper",
        "whistleblowing",
        "wiiconnect24",
        "wiki",
        "windows",
        "windows-subsystem-for-android",
        "winforms",
        "winui",
        "woodpeckerci",
        "wordplate",
        "wordpress",
        "wow",
        "wpf",
        "wsl",
        "xamarin",
        "xampp",
        "xcode",
        "xk6",
        "xmake",
        "xml",
        "xmpp",
        "xonsh",
        "xontrib",
        "xsoar",
        "yaml",
        "yarn",
        "yii",
        "youtube",
        "yugioh",
        "zeit",
        "zephyr-rtos",
        "zeplin",
        "zeronet",
        "zig",
        "zip",
        "zkp",
        "zsh",
        "zustand",
        "zx-spectrum",
    }

    topicToLanMap = {"cpp": "c++", "csharp": "c#"}
    lanToTopicMap = {"c++": "cpp", "c#": "csharp"}
